/* https://datatables.net/manual/styling/theme-creator */
/* Table section border: #f3f2f1 */
/* Row / cell border: #f3f2f1 */
/* Row background: #ffffff */
/* Row selected: #eeeeee */
/* Control text: #535355 */
.profiler-table table.dataTable th.dt-left,
.profiler-table table.dataTable td.dt-left {
    text-align: left;
}
.profiler-table table.dataTable th.dt-center,
.profiler-table table.dataTable td.dt-center,
.profiler-table table.dataTable td.dataTables_empty {
    text-align: center;
}
.profiler-table table.dataTable th.dt-right,
.profiler-table table.dataTable td.dt-right {
    text-align: right;
}
.profiler-table table.dataTable th.dt-justify,
.profiler-table table.dataTable td.dt-justify {
    text-align: justify;
}
.profiler-table table.dataTable th.dt-nowrap,
.profiler-table table.dataTable td.dt-nowrap {
    white-space: nowrap;
}
.profiler-table table.dataTable thead th.dt-head-left,
.profiler-table table.dataTable thead td.dt-head-left,
.profiler-table table.dataTable tfoot th.dt-head-left,
.profiler-table table.dataTable tfoot td.dt-head-left {
    text-align: left;
}
.profiler-table table.dataTable thead th.dt-head-center,
.profiler-table table.dataTable thead td.dt-head-center,
.profiler-table table.dataTable tfoot th.dt-head-center,
.profiler-table table.dataTable tfoot td.dt-head-center {
    text-align: center;
}
.profiler-table table.dataTable thead th.dt-head-right,
.profiler-table table.dataTable thead td.dt-head-right,
.profiler-table table.dataTable tfoot th.dt-head-right,
.profiler-table table.dataTable tfoot td.dt-head-right {
    text-align: right;
}
.profiler-table table.dataTable thead th.dt-head-justify,
.profiler-table table.dataTable thead td.dt-head-justify,
.profiler-table table.dataTable tfoot th.dt-head-justify,
.profiler-table table.dataTable tfoot td.dt-head-justify {
    text-align: justify;
}
.profiler-table table.dataTable thead th.dt-head-nowrap,
.profiler-table table.dataTable thead td.dt-head-nowrap,
.profiler-table table.dataTable tfoot th.dt-head-nowrap,
.profiler-table table.dataTable tfoot td.dt-head-nowrap {
    white-space: nowrap;
}
.profiler-table table.dataTable tbody th.dt-body-left,
.profiler-table table.dataTable tbody td.dt-body-left {
    text-align: left;
}
.profiler-table table.dataTable tbody th.dt-body-center,
.profiler-table table.dataTable tbody td.dt-body-center {
    text-align: center;
}
.profiler-table table.dataTable tbody th.dt-body-right,
.profiler-table table.dataTable tbody td.dt-body-right {
    text-align: right;
}
.profiler-table table.dataTable tbody th.dt-body-justify,
.profiler-table table.dataTable tbody td.dt-body-justify {
    text-align: justify;
}
.profiler-table table.dataTable tbody th.dt-body-nowrap,
.profiler-table table.dataTable tbody td.dt-body-nowrap {
    white-space: nowrap;
}
.profiler-table table.dataTable td.dt-control {
    text-align: center;
    cursor: pointer;
}
.profiler-table table.dataTable td.dt-control:before {
    height: 1em;
    width: 1em;
    margin-top: -9px;
    display: inline-block;
    color: white;
    border: 0.15em solid white;
    border-radius: 1em;
    box-shadow: 0 0 0.2em #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: "Courier New", Courier, monospace;
    line-height: 1em;
    content: "+";
    background-color: #31b131;
}
.profiler-table table.dataTable tr.dt-hasChild td.dt-control:before {
    content: "-";
    background-color: #d33333;
}

/*
 * Table styles
 */
.profiler-table table.dataTable {
    width: 100%;
    margin: 0 auto;
    clear: both;
    border-collapse: separate;
    border-spacing: 0;
    /*
     * Header and footer styles
     */
    /*
     * Body styles
     */
}
.profiler-table table.dataTable thead th,
.profiler-table table.dataTable tfoot th {
    font-weight: bold;
    color: #323130
}
.profiler-table table.dataTable thead th,
.profiler-table table.dataTable thead td {
    padding: 10px 10px;
    border-bottom: 1px solid #f3f2f1;
}
.profiler-table table.dataTable thead th:active,
.profiler-table table.dataTable thead td:active {
    outline: none;
}
.profiler-table table.dataTable tfoot th,
.profiler-table table.dataTable tfoot td {
    padding: 10px 10px 6px 10px;
    border-top: 1px solid #f3f2f1;
}
.profiler-table table.dataTable thead .sorting,
.profiler-table table.dataTable thead .sorting_asc,
.profiler-table table.dataTable thead .sorting_desc,
.profiler-table table.dataTable thead .sorting_asc_disabled,
.profiler-table table.dataTable thead .sorting_desc_disabled {
    cursor: pointer;
    *cursor: hand;
    background-repeat: no-repeat;
    background-position: center right;
}
.profiler-table table.dataTable thead .sorting {
    background-image: url("../images/sort_both.png");
}
.profiler-table table.dataTable thead .sorting_asc {
    background-image: url("../images/sort_asc.png") !important;
}
.profiler-table table.dataTable thead .sorting_desc {
    background-image: url("../images/sort_desc.png") !important;
}
.profiler-table table.dataTable thead .sorting_asc_disabled {
    background-image: url("../images/sort_asc_disabled.png");
}
.profiler-table table.dataTable thead .sorting_desc_disabled {
    background-image: url("../images/sort_desc_disabled.png");
}
.profiler-table table.dataTable tbody tr {
    background-color: #ffffff;
}
.profiler-table table.dataTable tbody tr.selected, .profiler-table table.dataTable tbody tr.selected td {
    background-color: #eeeeee !important;
}
.profiler-table table.dataTable tbody th,
.profiler-table table.dataTable tbody td {
    padding: 8px 10px;
}
.profiler-table table.dataTable.row-border tbody th, .profiler-table table.dataTable.row-border tbody td, .profiler-table table.dataTable.display tbody th, .profiler-table table.dataTable.display tbody td {
    border-top: 1px solid #f3f2f1;
}
.profiler-table table.dataTable.row-border tbody tr:first-child th,
.profiler-table table.dataTable.row-border tbody tr:first-child td, .profiler-table table.dataTable.display tbody tr:first-child th,
.profiler-table table.dataTable.display tbody tr:first-child td {
    border-top: none;
}
.profiler-table table.dataTable.cell-border tbody th, .profiler-table table.dataTable.cell-border tbody td {
    border-top: 1px solid #f3f2f1;
    border-right: 1px solid #f3f2f1;
}
.profiler-table table.dataTable.cell-border tbody tr th:first-child,
.profiler-table table.dataTable.cell-border tbody tr td:first-child {
    border-left: 1px solid #f3f2f1;
}
.profiler-table table.dataTable.cell-border tbody tr:first-child th,
.profiler-table table.dataTable.cell-border tbody tr:first-child td {
    border-top: none;
}
.profiler-table table.dataTable.stripe tbody tr.odd, .profiler-table table.dataTable.display tbody tr.odd {
    background-color: #ffffff;
}
.profiler-table table.dataTable.stripe tbody tr.odd.selected, .profiler-table table.dataTable.display tbody tr.odd.selected {
    background-color: #e8e8e8;
}
.profiler-table table.dataTable.hover tbody tr:hover, .profiler-table table.dataTable.display tbody tr:hover {
    background-color: #f6f6f6;
    cursor: pointer;
}
.profiler-table table.dataTable.hover tbody tr:hover.selected, .profiler-table table.dataTable.display tbody tr:hover.selected {
    background-color: #e5e5e5;
    cursor: pointer;
}
.profiler-table table.dataTable.order-column tbody tr > .sorting_1,
.profiler-table table.dataTable.order-column tbody tr > .sorting_2,
.profiler-table table.dataTable.order-column tbody tr > .sorting_3, .profiler-table table.dataTable.display tbody tr > .sorting_1,
.profiler-table table.dataTable.display tbody tr > .sorting_2,
.profiler-table table.dataTable.display tbody tr > .sorting_3 {
    background-color: #fafafa;
}
.profiler-table table.dataTable.order-column tbody tr.selected > .sorting_1,
.profiler-table table.dataTable.order-column tbody tr.selected > .sorting_2,
.profiler-table table.dataTable.order-column tbody tr.selected > .sorting_3, .profiler-table table.dataTable.display tbody tr.selected > .sorting_1,
.profiler-table table.dataTable.display tbody tr.selected > .sorting_2,
.profiler-table table.dataTable.display tbody tr.selected > .sorting_3 {
    background-color: #e9e9e9;
}
.profiler-table table.dataTable.display tbody tr.odd > .sorting_1, .profiler-table table.dataTable.order-column.stripe tbody tr.odd > .sorting_1 {
    background-color: #f1f1f1;
}
.profiler-table table.dataTable.display tbody tr.odd > .sorting_2, .profiler-table table.dataTable.order-column.stripe tbody tr.odd > .sorting_2 {
    background-color: #f3f3f3;
}
.profiler-table table.dataTable.display tbody tr.odd > .sorting_3, .profiler-table table.dataTable.order-column.stripe tbody tr.odd > .sorting_3 {
    background-color: whitesmoke;
}
.profiler-table table.dataTable.display tbody tr.odd.selected > .sorting_1, .profiler-table table.dataTable.order-column.stripe tbody tr.odd.selected > .sorting_1 {
    background-color: #e1e1e1;
}
.profiler-table table.dataTable.display tbody tr.odd.selected > .sorting_2, .profiler-table table.dataTable.order-column.stripe tbody tr.odd.selected > .sorting_2 {
    background-color: #e3e3e3;
}
.profiler-table table.dataTable.display tbody tr.odd.selected > .sorting_3, .profiler-table table.dataTable.order-column.stripe tbody tr.odd.selected > .sorting_3 {
    background-color: #e5e5e5;
}
.profiler-table table.dataTable.display tbody tr.even > .sorting_1, .profiler-table table.dataTable.order-column.stripe tbody tr.even > .sorting_1 {
    background-color: #fafafa;
}
.profiler-table table.dataTable.display tbody tr.even > .sorting_2, .profiler-table table.dataTable.order-column.stripe tbody tr.even > .sorting_2 {
    background-color: #fcfcfc;
}
.profiler-table table.dataTable.display tbody tr.even > .sorting_3, .profiler-table table.dataTable.order-column.stripe tbody tr.even > .sorting_3 {
    background-color: #fefefe;
}
.profiler-table table.dataTable.display tbody tr.even.selected > .sorting_1, .profiler-table table.dataTable.order-column.stripe tbody tr.even.selected > .sorting_1 {
    background-color: #e9e9e9;
}
.profiler-table table.dataTable.display tbody tr.even.selected > .sorting_2, .profiler-table table.dataTable.order-column.stripe tbody tr.even.selected > .sorting_2 {
    background-color: #ebebeb;
}
.profiler-table table.dataTable.display tbody tr.even.selected > .sorting_3, .profiler-table table.dataTable.order-column.stripe tbody tr.even.selected > .sorting_3 {
    background-color: #ededed;
}
.profiler-table table.dataTable.display tbody tr:hover > .sorting_1, .profiler-table table.dataTable.order-column.hover tbody tr:hover > .sorting_1 {
    background-color: #eaeaea;
}
.profiler-table table.dataTable.display tbody tr:hover > .sorting_2, .profiler-table table.dataTable.order-column.hover tbody tr:hover > .sorting_2 {
    background-color: #ececec;
}
.profiler-table table.dataTable.display tbody tr:hover > .sorting_3, .profiler-table table.dataTable.order-column.hover tbody tr:hover > .sorting_3 {
    background-color: #efefef;
}
.profiler-table table.dataTable.display tbody tr:hover.selected > .sorting_1, .profiler-table table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_1 {
    background-color: #dadada;
}
.profiler-table table.dataTable.display tbody tr:hover.selected > .sorting_2, .profiler-table table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_2 {
    background-color: gainsboro;
}
.profiler-table table.dataTable.display tbody tr:hover.selected > .sorting_3, .profiler-table table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_3 {
    background-color: #dfdfdf;
}
.profiler-table table.dataTable.no-footer {
    border-bottom: 1px solid #f3f2f1;
}
.profiler-table table.dataTable.nowrap th, .profiler-table table.dataTable.nowrap td {
    white-space: nowrap;
}
.profiler-table table.dataTable.compact thead th,
.profiler-table table.dataTable.compact thead td {
    padding: 4px 17px;
}
.profiler-table table.dataTable.compact tfoot th,
.profiler-table table.dataTable.compact tfoot td {
    padding: 4px;
}
.profiler-table table.dataTable.compact tbody th,
.profiler-table table.dataTable.compact tbody td {
    padding: 4px;
}

.profiler-table table.dataTable th,
.profiler-table table.dataTable td {
    box-sizing: content-box;
}

/*
 * Control feature layout
 */
.profiler-table .dataTables_wrapper {
    position: relative;
    clear: both;
}
.profiler-table .dataTables_wrapper .dataTables_length {
    float: left;
}
.profiler-table .dataTables_wrapper .dataTables_length select {
    border: 1px solid #aaa;
    border-radius: 3px;
    padding: 5px;
    background-color: transparent;
    padding: 4px;
}
.profiler-table .dataTables_wrapper .dataTables_filter {
    float: left;
    text-align: right;
    font-weight: bold;
    font-size: 14px;
    padding-left: 10px
}
.profiler-table .dataTables_wrapper .dataTables_filter input {
    border: 1px solid #605e5c;
    border-radius: 2px;
    padding: 5px;
    background-color: transparent;
    margin-left: 10px;
}
.profiler-table .dataTables_wrapper .dataTables_filter input[type=text]::-ms-clear {  display: none; width : 0; height: 0; }
.profiler-table .dataTables_wrapper .dataTables_filter input[type=text]::-ms-reveal {  display: none; width : 0; height: 0; }
.profiler-table .dataTables_wrapper .dataTables_filter input[type="search"]::-webkit-search-decoration,
.profiler-table .dataTables_wrapper .dataTables_filter input[type="search"]::-webkit-search-cancel-button,
.profiler-table .dataTables_wrapper .dataTables_filter input[type="search"]::-webkit-search-results-button,
.profiler-table .dataTables_wrapper .dataTables_filter input[type="search"]::-webkit-search-results-decoration { display: none; }
.profiler-table .dataTables_wrapper .dataTables_filter input:focus {
    outline: none !important;
}
.profiler-table .dataTables_wrapper .dataTables_info {
    clear: both;
    float: left;
    padding-top: 0.755em;
}
.profiler-table .dataTables_wrapper .dataTables_paginate {
    float: right;
    text-align: right;
    padding-top: 0.25em;
}
.profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button {
    box-sizing: border-box;
    display: inline-block;
    min-width: 1.5em;
    padding: 0.5em 1em;
    margin-left: 2px;
    text-align: center;
    text-decoration: none !important;
    cursor: pointer;
    *cursor: hand;
    color: #535355 !important;
    border: 1px solid transparent;
    border-radius: 2px;
}
.profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button.current, .profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    color: #535355 !important;
    border: 1px solid #979797;
    background-color: white;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, white), color-stop(100%, #dcdcdc));
    /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, white 0%, #dcdcdc 100%);
    /* Chrome10+,Safari5.1+ */
    background: -moz-linear-gradient(top, white 0%, #dcdcdc 100%);
    /* FF3.6+ */
    background: -ms-linear-gradient(top, white 0%, #dcdcdc 100%);
    /* IE10+ */
    background: -o-linear-gradient(top, white 0%, #dcdcdc 100%);
    /* Opera 11.10+ */
    background: linear-gradient(to bottom, white 0%, #dcdcdc 100%);
    /* W3C */
}
.profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
    cursor: default;
    color: #666 !important;
    border: 1px solid transparent;
    background: transparent;
    box-shadow: none;
}
.profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    color: white !important;
    border: 1px solid #111111;
    background-color: #585858;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #585858), color-stop(100%, #111111));
    /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #585858 0%, #111111 100%);
    /* Chrome10+,Safari5.1+ */
    background: -moz-linear-gradient(top, #585858 0%, #111111 100%);
    /* FF3.6+ */
    background: -ms-linear-gradient(top, #585858 0%, #111111 100%);
    /* IE10+ */
    background: -o-linear-gradient(top, #585858 0%, #111111 100%);
    /* Opera 11.10+ */
    background: linear-gradient(to bottom, #585858 0%, #111111 100%);
    /* W3C */
}
.profiler-table .dataTables_wrapper .dataTables_paginate .paginate_button:active {
    outline: none;
    background-color: #2b2b2b;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #2b2b2b), color-stop(100%, #0c0c0c));
    /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
    /* Chrome10+,Safari5.1+ */
    background: -moz-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
    /* FF3.6+ */
    background: -ms-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
    /* IE10+ */
    background: -o-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
    /* Opera 11.10+ */
    background: linear-gradient(to bottom, #2b2b2b 0%, #0c0c0c 100%);
    /* W3C */
    box-shadow: inset 0 0 3px #111;
}
.profiler-table .dataTables_wrapper .dataTables_paginate .ellipsis {
    padding: 0 1em;
}
.profiler-table .dataTables_wrapper .dataTables_processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 40px;
    margin-left: -50%;
    margin-top: -25px;
    padding-top: 20px;
    text-align: center;
    font-size: 1.2em;
    background-color: white;
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(255, 255, 255, 0)), color-stop(25%, rgba(255, 255, 255, 0.9)), color-stop(75%, rgba(255, 255, 255, 0.9)), color-stop(100%, rgba(255, 255, 255, 0)));
    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);
    background: -moz-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);
    background: -ms-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);
    background: -o-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 25%, rgba(255, 255, 255, 0.9) 75%, rgba(255, 255, 255, 0) 100%);
}
.profiler-table .dataTables_wrapper .dataTables_length,
.profiler-table .dataTables_wrapper .dataTables_filter,
.profiler-table .dataTables_wrapper .dataTables_info,
.profiler-table .dataTables_wrapper .dataTables_processing,
.profiler-table .dataTables_wrapper .dataTables_paginate {
    color: #535355;
}
.profiler-table .dataTables_wrapper .dataTables_scroll {
    clear: both;
}
.profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody {
    *margin-top: -1px;
    -webkit-overflow-scrolling: touch;
}
.profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > th, .profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > td, .profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > th, .profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > td {
    vertical-align: middle;
}
.profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > th > div.dataTables_sizing,
.profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > td > div.dataTables_sizing, .profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > th > div.dataTables_sizing,
.profiler-table .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > td > div.dataTables_sizing {
    height: 0;
    overflow: hidden;
    margin: 0 !important;
    padding: 0 !important;
}
.profiler-table .dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #f3f2f1;
}
.profiler-table .dataTables_wrapper.no-footer div.dataTables_scrollHead table.dataTable,
.profiler-table .dataTables_wrapper.no-footer div.dataTables_scrollBody > table {
    border-bottom: none;
}
.profiler-table .dataTables_wrapper:after {
    visibility: hidden;
    display: block;
    content: "";
    clear: both;
    height: 0;
}

@media screen and (max-width: 767px) {
    .profiler-table .dataTables_wrapper .dataTables_info,
    .profiler-table .dataTables_wrapper .dataTables_paginate {
        float: none;
        text-align: center;
    }
    .profiler-table .dataTables_wrapper .dataTables_paginate {
        margin-top: 0.5em;
    }
}
@media screen and (max-width: 640px) {
    .profiler-table .dataTables_wrapper .dataTables_length,
    .profiler-table .dataTables_wrapper .dataTables_filter {
        float: none;
        text-align: center;
    }
    .profiler-table .dataTables_wrapper .dataTables_filter {
        margin-top: 0.5em;
    }
}
